ManifestAttributesChecker.MANIFEST_ATTRIBUTES_CHECK (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.runtime.ManifestAttributesChecker.MANIFEST_ATTRIBUTES_CHECK class
Date: 2021-11-09

net.sourceforge.jnlp.runtime

## Enum ManifestAttributesChecker.MANIFEST_ATTRIBUTES_CHECK

- java.lang.Object
- - java.lang.Enum<ManifestAttributesChecker.MANIFEST_ATTRIBUTES_CHECK>
  - - net.sourceforge.jnlp.runtime.ManifestAttributesChecker.MANIFEST_ATTRIBUTES_CHECK

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ManifestAttributesChecker.MANIFEST_ATTRIBUTES_CHECK>
  Enclosing class:
    ManifestAttributesChecker

      public static enum ManifestAttributesChecker.MANIFEST_ATTRIBUTES_CHECK
      extends java.lang.Enum<ManifestAttributesChecker.MANIFEST_ATTRIBUTES_CHECK>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALAC`
    `ALL`
    `CODEBASE`
    `ENTRYPOINT`
    `NONE`
    `PERMISSIONS`
    `TRUSTED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ManifestAttributesChecker.MANIFEST_ATTRIBUTES_CHECK` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ManifestAttributesChecker.MANIFEST_ATTRIBUTES_CHECK[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final ManifestAttributesChecker.MANIFEST_ATTRIBUTES_CHECK ALL

    - #### NONE

          public static final ManifestAttributesChecker.MANIFEST_ATTRIBUTES_CHECK NONE

    - #### PERMISSIONS

          public static final ManifestAttributesChecker.MANIFEST_ATTRIBUTES_CHECK PERMISSIONS

    - #### CODEBASE

          public static final ManifestAttributesChecker.MANIFEST_ATTRIBUTES_CHECK CODEBASE

    - #### TRUSTED

          public static final ManifestAttributesChecker.MANIFEST_ATTRIBUTES_CHECK TRUSTED

    - #### ALAC

          public static final ManifestAttributesChecker.MANIFEST_ATTRIBUTES_CHECK ALAC

    - #### ENTRYPOINT

          public static final ManifestAttributesChecker.MANIFEST_ATTRIBUTES_CHECK ENTRYPOINT

  - ### Method Detail

    - #### values

          public static ManifestAttributesChecker.MANIFEST_ATTRIBUTES_CHECK[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ManifestAttributesChecker.MANIFEST_ATTRIBUTES_CHECK c : ManifestAttributesChecker.MANIFEST_ATTRIBUTES_CHECK.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ManifestAttributesChecker.MANIFEST_ATTRIBUTES_CHECK valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Submit a bug or feature